How blocking some attachments helps protect your computer

Sending and reading e-mail is one of the most popular activities on the Internet. The widespread use of this technology, however, makes it a primary way for computer viruses to spread. Because viruses and other security threats are often contained in e-mail attachments, this version of Windows helps protect your computer by blocking e-mail attachments that might be harmful.

In most cases, Windows will block files that have the potential to harm your computer if they come to you through e-mail or other communication programs. Windows will block these files if your program is running in a strong security mode. Most files that contain script or code that could run without your permission will be blocked. Some common examples of this file type are those with file names that end in .exe, .bat, and .js.

Blocking these files is very important to do, since directly opening files of this type poses a risk to your computer and personal data.

Is there any way I can open files that have been blocked?

If you are certain that you trust this file and want to open it, follow the instructions below.

  1. Save the file onto your computer.
  2. Click Start, click My Computer, and navigate to the file that you saved.
  3. Right-click the file that you saved, and then click Properties.
  4. Click Unblock near the bottom of the dialog box.

Related Topics


Protecting your computer from files with embedded objects

To help protect your computer from viruses and other security threats, this version of Windows will sometimes prevent files that you might request or receive over the Internet from displaying properly. This will happen if the file contains an embedded OLE object.

Blocking these embedded objects is necessary because directly opening them poses a risk to your computer and personal data.

Is there any way to make blocked OLE objects display correctly?

If you are certain that you trust this file and want to open it, follow the instructions below.

  1. Save the file onto your computer.
  2. Click Start, click My Computer, and navigate to the file that you saved.
  3. Right-click the file that you saved, and then click Properties.
  4. Click Unblock near the bottom of the dialog box.


Compile Date

Microsoft Windows graphic
Compile Date: 2004-11-24


What should I do when Data Execution Prevention closes a program?

Use the first four steps below to try and find out if your computer is under attack. If it is not under attack, the remaining sections below show you how to continue using the program.

XOX

Check your security essentials

The three best ways to help protect your computer are to run antivirus software, turn on a firewall, and get the latest updates for Windows (for more information, see Related Topics). You might need to log on as a computer administrator to complete some of these steps.

  1. Make sure you have a firewall and that it is turned on. (Windows Firewall is turned on by default when you install Microsoft Windows XP with Service Pack 2 (SP2), Microsoft Windows Server 2003 with Service Pack 1 (SP1), or an x64-based version of a Windows Server 2003 or Windows XP operating system, but you can install and run any firewall that you choose.)
  2. If you have not already done so, turn on Automatic Updates. You can also get the latest updates for your computer by going to the Windows Update Web site (http://www.microsoft.com/).
  3. Make sure your antivirus software is up to date. (Most publishers provide updates automatically or remind you to check for updates when you start the program.)
  4. Scan for viruses and other security threats and do one of the following:

    • If your antivirus software detects a threat, follow the instructions provided for removing it safely. Do not change your DEP settings.
    • If no threats are detected, and if you are using the recommended security settings, your computer is probably secured. In this case, the program might not run correctly with DEP turned on and you should see if a DEP-compatible version of the program is available.

Check for an updated version of the program

If you are using the recommended security settings and your antivirus software did not detect a threat, your computer is probably not under attack. In this case, the program that DEP closed might not run correctly when DEP is turned on. To see if a DEP-compatible version of the program is available, visit the software publisher's Web site.

Decide if it's safe to change your DEP settings

If you are using the recommended security settings and if the publisher has not released an updated version of the program, you can turn off DEP for the program that was closed. You will be able to use the program but it might be vulnerable to an attack that could spread to your other programs and files. If you choose to turn off DEP for a program, it's a good idea to check frequently for an updated version of the program and, after you update it, to turn on DEP again. For more information about changing DEP settings, click Related Topics.


Understanding Data Execution Prevention

Data Execution Prevention (DEP) helps prevent damage from viruses and other security threats that attack by running (executing) malicious code from memory locations that only Windows and other programs should use. This type of threat causes damage by taking over one or more memory locations in use by a program. Then it spreads and harms other programs, files, and even your e-mail contacts.

Unlike a firewall or antivirus program, DEP does not help prevent harmful programs from being installed on your computer. Instead, it monitors your programs to determine if they use system memory safely. To do this, DEP software works alone or with compatible microprocessors to mark some memory locations as "non-executable." If a program tries to run code—malicious or not—from a protected location, DEP closes the program and notifies you.

DEP can take advantage of software and hardware support. To use DEP, your computer must be running Microsoft Windows XP with Service Pack 2 (SP2), Microsoft Windows Server 2003 with Service Pack 1 (SP1), or an x64-based version of a Windows Server 2003 or Windows XP operating system. DEP software alone helps protect against certain types of malicious code attacks but to take full advantage of the protection that DEP can offer, your processor must support "execution protection." This is a hardware-based technology designed to mark memory locations as non-executable. If your processor does not support hardware-based DEP, it's a good idea to upgrade to a processor that offers execution protection features.

Is it safe to run a program again if DEP has closed it?

Yes, but only if you leave DEP turned on for that program. Windows can continue to detect attempts to execute code from protected memory locations and help prevent attacks. In cases where a program does not run correctly with DEP turned on, you can reduce security risks by getting a DEP-compatible version of the program from the software publisher. For more information about what to do after DEP closes a program, click Related Topics.

How can I tell if DEP is available on my computer?

  1. XOX
  2. Click the Advanced tab and, under Performance, click Settings.
  3. Click the Data Execution Prevention tab.

Note

  • By default, DEP is only turned on for essential Windows operating system programs and services. To help protect more programs with DEP, select Turn on DEP for all programs and services except those I select.


Turn Data Execution Prevention on or off for a program

Microsoft Windows graphic

To turn Data Execution Prevention on or off for a program

If you turn off Data Execution Prevention (DEP) for a specific program, it might become vulnerable to attack. A successful attack could then spread to other programs on your computer, to your contacts, and damage your personal files. If you suspect that a program does not run correctly when DEP is turned on, check for a DEP-compatible version or update from the software publisher before you change any DEP settings.

XOX
  1. XOX
  2. Click the Advanced tab and, under Performance, click Settings.
  3. Click the Data Execution Prevention tab.
  4. In the Turn on DEP for all programs and services except those I select list, do one of the following:
    • To turn off DEP for a program, select the check box next to the program name and click OK. (If the name of the program doesn't appear in the list, click Add, navigate to your Program Files folder, select the program's executable file which will have an .exe file extension, and click OK).

      – or –

    • To turn on DEP for a program, clear the check box next to the program name, and then click OK.


Change Data Execution Prevention settings

Microsoft Windows graphic

To change Data Execution Prevention settings

By default, Data Execution Prevention (DEP) is turned on for essential Windows programs and services only. However, you can use DEP to help protect all programs on your computer.

XOX
  1. XOX
  2. Click the Advanced tab and, under Performance, click Settings.
  3. Click the Data Execution Prevention tab.
  4. Do one of the following:
    • To help protect all programs on your computer, select Turn on DEP for all programs and services except those I select.

      – or –

    • To help protect some Windows processes but turn off DEP for all other programs, select Turn on DEP for essential Windows programs and services only.

Note

  • If you turn off DEP for one or more programs, other programs on your computer—as well as your personal information—might become vulnerable to damage that spreads from a successful attack against an unprotected program.


Reducing your risk of getting viruses from e-mail

E-mail is one of the most common ways that viruses and worms are spread on the Internet. A friendly-looking e-mail from an unknown source can carry a virus that might damage your data and your computer. Even a friend or a source that you trust can unwittingly send e-mail that contains a virus. That's why using antivirus software is so important. The steps listed below can help protect your computer against viruses in e-mail:

  • Get virus-scanning software and set it up to scan e-mail messages and attachments.
  • Since new viruses are created regularly, make sure you have the latest updates to your virus-scanning software.
  • Don't open attachments from sources you don't know or trust.
  • If someone you know sends you an e-mail attachment, look at the subject line carefully before opening it. If the subject line is gibberish or does not make any sense to you, you might want to check with the sender before opening it.
  • Read messages in plain text format as much as possible. If you need to see a specific piece of mail in HTML format and you trust the source, you can switch formats temporarily.

Note

  • To read your e-mail messages in plain text, in Outlook Express, on the Tools menu, click Options. On the Read tab, select the Read all messages in plain text check box. If you want to see a specific message in HTML format, you can do this by clicking the View menu and then clicking Read in HTML.


Help protect your computer with safer e-mail practices

Sending and reading e-mail over the Internet is one of today's most popular activities. The widespread use of this technology makes it a primary way for computer viruses to spread. You can help protect your computer against viruses that spread by e-mail, and when you do so, you also help protect people who receive e-mail from you.

Specific actions you can take:

  • Use virus scanning software and keep it up to date with regular updates from the provider. Updates are very important because new viruses are created regularly.
  • Don't open attachments from senders you don't know. Even if you know and trust the source of the e-mail you should still be cautious. Carefully read the e-mail's subject line. Does the message on the subject line make sense coming from the sender? Does the subject line refer to something this person would want to send you a message about? If the subject line is just gibberish or does not make sense, you should not open the attachment.
  • Read your messages in plain text. Much of the e-mail you receive is created using a simple computer language called HTML. HTML makes it possible to use pictures, fancy backgrounds, icons, and different kinds of text in e-mail. But HTML can also allow hackers to hide viruses in e-mail. When you read your e-mail in plain text, you prevent the viruses from being transmitted to your computer.
  • Use your e-mail program’s security features. See your e-mail program's Help topics for information about the options available to you. Many programs now include options for filtering images, handling attachments, and blocking unwanted messages. Features like these work together to help protect your computer and anyone you correspond with.
  • Be very cautious about opening links that you receive in e-mail. You never really know what a link is connected to. Internet Explorer 6 contains features that will help protect you in this situation.

XOX


Antivirus software overview

We strongly recommend that you help protect your computer from viruses by installing and using an antivirus program. The Internet is full of fun places and vast amounts of information, but also some dangers. Your computer can be damaged by a computer virus sent through e-mail or through a program downloaded from the Web. If you do not use antivirus software, you run the risk of passing viruses along to other computers as well. If you administer a network without virus protection software, all of the computers on your network might be vulnerable.

What are viruses, worms, and Trojan horses?

What is a virus?

A virus is a program that can copy itself and infect various parts of your computer, such as documents, programs, and parts of your operating system. Most viruses attach themselves to a file or part of your hard disk and then copy themselves to other places within the operating system. Some viruses contain code that inflicts extra damage by deleting files or lowering your security settings, inviting further attacks.

What is a worm?

A worm is a program that makes copies of itself and can spread outside your operating system; it can copy itself from one computer to another by using e-mail or another transport mechanism. Worms can damage computer data and security in much the same ways as viruses, but are different from viruses in that they copy themselves from system to system.

What is a Trojan horse?

A Trojan horse is a harmless-looking program designed to trick you into thinking it is something you want, but which performs harmful acts when it runs. It is typically received through downloads from the Internet. Trojan horses do not spread by themselves like viruses and worms. Most virus protection programs only detect a limited number of Trojan horses. A good way to help protect your computer from Trojan horses is to visit only Web sites you trust, and avoid downloading things unless you trust the source as well.

How do antivirus programs help protect my computer?

Antivirus programs scan e-mail and other files on your computer for viruses, worms, and Trojan horses. If a virus, worm, or Trojan horse is found, the antivirus program either quarantines it or deletes it entirely before it damages your computer and files.

Some companies that make antivirus programs provide regular updates for viruses. Many antivirus programs have an automatic update capability. When your antivirus software is updated, new viruses are added to a list of viruses to check for, protecting your computer from new attacks. If your antivirus updates are not automatic, we recommend that you check for updates on a frequent basis because new viruses are identified every day. If the antivirus program you are using requires a subscription, we strongly recommended that you keep the subscription current to receive regular updates. If your list of viruses is out of date, your computer is vulnerable to new threats.

Where can I get an antivirus program?

There are many antivirus programs on the market. For a partial list of programs that are designed to work with XOX, visit the Windows Catalog on the Microsoft Web site (http://www.microsoft.com/).


Help protect your PC

Chances are, your computer is connected to the Internet. And if it is, you know how fun and useful the Internet can be. But it's also a popular place for unfriendly users who might want to spread viruses or gain access to your computer. This version of Windows contains features that help make your computer more resistant to threats from the Internet.

Use these built-in features for safer computing

  • To let you see your computer’s security status at all times, the new Security Center monitors your essential security settings and warns you when your computer might be at risk.
  • To help defend your computer against attacks from the Internet, Windows Firewall is on by default.
  • To make sure you receive the very latest critical updates in response to worms and viruses, Automatic Updates is easier to turn on and use.
  • To provide enhanced protection when using wireless connections in public places, you can take advantage of features that help protect your computer from other computers on the same wireless network.
  • To help reduce your exposure to harmful programs and viruses, Internet Explorer has several new security features.
  • To make it safer to read e-mail messages, Outlook Express automatically blocks images and takes advantage of the enhanced security settings in Internet Explorer.

Take these extra steps as further precautions

The features listed above work together to make your computing experience more secure and enjoyable. But there are other things you can—and should—do to help protect your computer (and the computers of those you communicate with) from attacks coming from the Internet.

The use of antivirus software, handling e-mail messages with great care (especially when they contain attachments), and careful selection of the Web sites you visit are key to helping you keep your computer more secure. When you do these things, you become a better computer user by taking your computer security into your own hands. You also help prevent the spread of viruses to other computer users.

For more information about protecting your computer and your privacy online, visit the Microsoft Security and Privacy Web site (http://www.microsoft.com/) and the Microsoft Protect your PC Web site (http://www.microsoft.com/).

Microsoft cares about your privacy. For privacy information about this software, click here.


How to decide if you can trust a Web site

Web sites can bring you a wealth of information and convenience. However, some Web sites can request personal information that you would rather keep private, display advertisements you do not want to see, or expose your computer to software that contains viruses or other security threats. How do you know which Web sites you can trust? It’s difficult to be completely certain, but there are a few key things to look for.

  • Is the Web site certified by an Internet trust organization such as BBBonline, TRUSTe, or WebTrust? Sites that display these logos have agreed to follow certain practices like providing a comprehensive privacy statement. If you read these statements, you should be able to determine what data the site collects and what the site does with that data (for example, you can find out whether they share your data with a third party or use it to display personalized advertisements). This logo does not mean that the site collects no data. It means that the privacy statement will tell you what data the site collects so you can decide if you want to use that Web site.
  • Is the site from an organization you know and already trust (for example, a vendor you have a positive ongoing relationship with) or from a widely recognized brand or institution? The site should provide a privacy statement or a Terms of Use statement. Reading these statements should make it clear what will happen when you use the site. If you are not comfortable with the terms or behaviors (for example, if you would prefer not to be tracked or have advertisements presented and the organization indicates that it does either of those things), do not use the site.
  • If you do not recognize the Web site and it does not have a trust logo, you should be cautious and thoroughly research the site before using its services. Research can include reading the site’s disclosures, asking friends and colleagues you trust, and searching the Web for positive or negative articles about the site.
  • If you are asked to provide sensitive personal data (such as your password, social security number, credit card number, or bank information), only do so if there is a valid reason and if the site uses a secure method to collect this data. Look for a statement indicating this information will be encrypted or look for the golden padlock symbol in your browser status area to indicate that the information will be transferred using secure methods.
  • When making a purchase on a Web site, verify that the site has a posted return policy and that the terms are acceptable to you.

Be cautious of a Web site if…

  • You were referred to the site by e-mail from someone you don’t know.
  • The site contains objectionable material such as pornography.
  • The site makes offers that seem too good to be true. Are they just trying to lure you to their site?
  • You are asked to provide a credit card number but there is no indication that the Web site ensures the transaction is secure.
  • The site offers free membership but asks you to provide extensive personal information that does not seem necessary or that you do not want to provide.


How to decide if you can trust an e-mail message

E-mail is one way that viruses spread across the Internet. When you open an infected e-mail message, the virus can be transmitted to your computer, and then you, in turn, can infect people to whom you send e-mail. If you use e-mail, you can get dozens of messages every day that come from people you’ve never heard of. With so much e-mail coming in, how do you know which messages you can trust?

Think about these four things:

  • Do you know the person who sent you this e-mail message? Is this a person, organization, or business you know and trust? If you get mail from someone you’ve never heard of before or a source you never subscribed to, you should be cautious.
  • Have you received legitimate e-mail from this source before? Do you receive e-mail from this person regularly or occasionally? If you get e-mail from someone you know, but you’ve never received e-mail from them before, ask yourself if there is any reason you’re getting this message now. If the answer is no, think twice before opening it.
  • Do you have any reason to expect e-mail from this person? Are you surprised to see this e-mail? Does it seem unusual or strange to be getting e-mail from this person? If the answer is yes, be cautious about opening the message.
  • Does the message on the subject line make sense coming from the sender? Does the subject line refer to something this person would want to send you a message about? If the subject line is just gibberish or doesn’t make sense, the message might be junk mail that uses nonsense titles to get past spam filters that look for certain words.

If you are not sure that the e-mail you received is trustworthy, don’t open it or even bother to reply. It’s much easier to check before you open the message than it is to clean some viruses off of your computer.

One essential action to take:

  • Before you open any e-mail that has an attachment, make sure that your antivirus program is up to date and that it is turned on. This allows the antivirus program to scan attachments with the highest chance of protection.